"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.devDependencies = exports.dependencies = void 0;
var utils_1 = require("@omni-door/utils");
var dependencies_stable_map_1 = require("./dependencies_stable_map");
function dependencies(strategy, config) {
    return __awaiter(this, void 0, void 0, function () {
        var dependency, deps;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, utils_1.getDependency(strategy, dependencies_stable_map_1.dependencies)];
                case 1:
                    dependency = _a.sent();
                    deps = [
                        dependency('classnames')
                    ];
                    return [2 /*return*/, {
                            depArr: __spreadArrays(deps),
                            depStr: utils_1.arr2str(deps)
                        }];
            }
        });
    });
}
exports.dependencies = dependencies;
function devDependencies(strategy, config) {
    return __awaiter(this, void 0, void 0, function () {
        var dependency, ts, test, eslint, prettier, commitlint, style, stylelint, tag, loaderDependencies, babelDependencies, testDependencies, testTypesDependencies, tsDependencies, eslintDependencies, prettierDependencies, commitlintDependencies, stylelintDependencies, storybookDependencies, devServerDependencies, buildDependencies, defaultDep;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, utils_1.getDependency(strategy, dependencies_stable_map_1.devDependencies)];
                case 1:
                    dependency = _a.sent();
                    ts = config.ts, test = config.test, eslint = config.eslint, prettier = config.prettier, commitlint = config.commitlint, style = config.style, stylelint = config.stylelint, tag = config.tag;
                    loaderDependencies = [
                        dependency('babel-loader'),
                        dependency('vue-loader'),
                        dependency('vue-template-compiler'),
                        style ? dependency('style-loader') : '',
                        style ? dependency('css-loader') : '',
                        (style === 'all' || style === 'less') ? dependency('less') : '',
                        (style === 'all' || style === 'less') ? dependency('less-loader') : '',
                        (style === 'all' || style === 'scss') ? dependency('sass') : '',
                        (style === 'all' || style === 'scss') ? dependency('sass-loader') : '',
                        dependency('url-loader'),
                        dependency('file-loader')
                    ];
                    babelDependencies = [
                        dependency('@babel/core'),
                        dependency('@babel/preset-env'),
                        dependency('@vue/cli-plugin-babel'),
                        dependency('@vue/babel-plugin-jsx'),
                        dependency('@vue/babel-helper-vue-jsx-merge-props'),
                        dependency('@babel/plugin-transform-runtime'),
                        dependency('@babel/plugin-proposal-class-properties'),
                        dependency('@babel/plugin-proposal-decorators'),
                        dependency('@babel/plugin-proposal-private-property-in-object'),
                        dependency('@babel/plugin-proposal-private-methods'),
                        ts ? dependency('@babel/preset-typescript') : '',
                        ts ? dependency('babel-preset-typescript-vue3') : ''
                    ];
                    testDependencies = test ? [
                        dependency('vue-jest'),
                        dependency('@vue/test-utils'),
                        dependency('jest'),
                        dependency('jest-transform-stub'),
                        ts ? dependency('ts-jest') : '',
                        dependency('babel-jest')
                    ] : [];
                    testTypesDependencies = test ? [
                        dependency('@types/jest')
                    ] : [];
                    tsDependencies = ts ? __spreadArrays([
                        dependency('@types/node'),
                        dependency('@types/classnames'),
                        dependency('ts-patch'),
                        dependency('typescript'),
                        dependency('typescript-transform-paths'),
                        dependency('vue-tsc'),
                        dependency('ts-node')
                    ], testTypesDependencies) : [];
                    eslintDependencies = eslint ? [
                        dependency('eslint'),
                        dependency('eslint-plugin-vue'),
                        dependency('vue-eslint-parser'),
                        ts ? dependency('@typescript-eslint/eslint-plugin') : '',
                        ts ? dependency('@typescript-eslint/parser') : ''
                    ] : [];
                    prettierDependencies = prettier ? [
                        dependency('prettier'),
                        eslint ? dependency('eslint-config-prettier') : '',
                        eslint ? dependency('eslint-plugin-prettier') : '',
                    ] : [];
                    commitlintDependencies = commitlint ? [
                        dependency('@commitlint/cli'),
                        dependency('husky'),
                        dependency('lint-staged')
                    ] : [];
                    stylelintDependencies = stylelint ? [
                        dependency('stylelint'),
                        dependency('stylelint-config-standard'),
                        dependency('stylelint-config-css-modules'),
                        dependency('stylelint-config-rational-order'),
                        dependency('stylelint-order'),
                        dependency('stylelint-declaration-block-no-ignored-properties'),
                        style === 'all' || style === 'scss' ? dependency('stylelint-config-standard-scss') : '',
                        style === 'all' || style === 'scss' ? dependency('stylelint-scss') : '',
                        style === 'all' || style === 'less' ? dependency('stylelint-config-standard-less') : '',
                        style === 'all' || style === 'less' ? dependency('stylelint-less') : ''
                    ] : [];
                    storybookDependencies = __spreadArrays([
                        dependency('@chromatic-com/storybook'),
                        dependency('@storybook/vue3'),
                        dependency('@storybook/blocks'),
                        dependency('@storybook/addon-onboarding'),
                        dependency('@storybook/addon-viewport'),
                        dependency('@storybook/addon-actions'),
                        dependency('@storybook/addon-console'),
                        dependency('@storybook/addon-docs'),
                        dependency('@storybook/vue3-vite'),
                        dependency('@storybook/addon-essentials'),
                        dependency('@storybook/addon-interactions'),
                        dependency('@storybook/addon-knobs'),
                        dependency('@storybook/addon-links'),
                        dependency('@storybook/test'),
                        dependency('@storybook/theming'),
                        dependency('@storybook/manager-api'),
                        dependency('storybook'),
                        dependency('vite'),
                        dependency('@vitejs/plugin-vue'),
                        dependency('@vitejs/plugin-vue-jsx')
                    ], loaderDependencies);
                    devServerDependencies = __spreadArrays([
                        dependency('ip'),
                        dependency('detect-port')
                    ], storybookDependencies);
                    buildDependencies = __spreadArrays([
                        dependency('gulp'),
                        dependency('gulp-autoprefixer'),
                        dependency('gulp-babel'),
                        dependency('gulp-clean-css'),
                        dependency('gulp-concat'),
                        dependency('gulp-concat-css'),
                        dependency('gulp-cssnano'),
                        dependency('gulp-replace-path'),
                        dependency('@omni-door/gulp-plugin-vue-sfc'),
                        (style === 'all' || style === 'less') ? dependency('gulp-less') : '',
                        (style === 'all' || style === 'scss') ? dependency('gulp-sass') : '',
                        dependency('gulp-if'),
                        ts ? dependency('gulp-sourcemaps') : '',
                        ts ? dependency('gulp-ts-alias') : '',
                        ts ? dependency('gulp-typescript') : '',
                        dependency('through2')
                    ], babelDependencies);
                    defaultDep = [
                        !tag ? dependency('@omni-door/cli') : "@omni-door/cli@" + tag,
                        dependency('del'),
                        dependency('vue'),
                        dependency('vue-property-decorator'),
                        dependency('vue-class-component')
                    ];
                    return [2 /*return*/, {
                            devDepArr: __spreadArrays(defaultDep, tsDependencies, testDependencies, eslintDependencies, prettierDependencies, commitlintDependencies, stylelintDependencies, devServerDependencies, buildDependencies),
                            defaultDepArr: defaultDep,
                            defaultDepStr: utils_1.arr2str(defaultDep),
                            tsDepArr: tsDependencies,
                            tsDepStr: utils_1.arr2str(tsDependencies),
                            testDepArr: testDependencies,
                            testDepStr: utils_1.arr2str(testDependencies),
                            eslintDepArr: eslintDependencies,
                            eslintDepStr: utils_1.arr2str(eslintDependencies),
                            prettierDepArr: prettierDependencies,
                            prettierDepStr: utils_1.arr2str(prettierDependencies),
                            commitlintDepArr: commitlintDependencies,
                            commitlintDepStr: utils_1.arr2str(commitlintDependencies),
                            stylelintDepArr: stylelintDependencies,
                            stylelintDepStr: utils_1.arr2str(stylelintDependencies),
                            devServerDepArr: devServerDependencies,
                            devServerDepStr: utils_1.arr2str(devServerDependencies),
                            buildDepArr: buildDependencies,
                            buildDepStr: utils_1.arr2str(buildDependencies)
                        }];
            }
        });
    });
}
exports.devDependencies = devDependencies;
