"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_babel = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`${use_strict}\n\nmodule.exports = function (api) {\n  api.cache(false);\n  const presets = [\n    '@babel/preset-env',\n    '@vue/cli-plugin-babel/preset'${ts ? `,\n    '@babel/preset-typescript',\n    'babel-preset-typescript-vue3'` : ''}\n  ];\n\n  const plugins = [\n    '@vue/babel-plugin-jsx',\n    '@babel/plugin-transform-runtime',\n    ['@babel/plugin-proposal-decorators', { legacy: true }],\n    ['@babel/plugin-proposal-class-properties', { loose: true }],\n    ['@babel/plugin-proposal-private-property-in-object', { loose: true }],\n    ['@babel/plugin-proposal-private-methods', { loose: true }]\n  ];\n\n  const env = {\n    es: {\n      presets: [\n        [\n          '@babel/preset-env',\n          { modules: false }\n        ]\n      ],\n      plugins: [\n        ['@babel/plugin-transform-runtime',{\n          useESModules: true\n        }],\n        ['@babel/plugin-proposal-decorators', {\n          legacy: true\n        }],\n        ['@babel/plugin-proposal-class-properties', {\n          loose: true\n        }],\n        ['@babel/plugin-proposal-private-property-in-object', {\n          loose: true\n        }],\n        ['@babel/plugin-proposal-private-methods', {\n          loose: true\n        }]\n      ]\n    }\n  };\n\n  return {\n    presets,\n    plugins,\n    env\n  };\n};\n`";
exports.tpl_babel = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_babel, 'tpl');
