export { default as babel, tpl_babel } from './babel';
export { default as commitlint, tpl_commitlint } from './commitlint';
export { default as editor, tpl_editor } from './editor';
export { default as eslint, tpl_eslint } from './eslint';
export { default as gulpfile, tpl_gulpfile } from './gulpfile';
export { default as eslintignore, tpl_ignore_eslint } from './ignore/eslintignore';
export { default as gitignore, tpl_ignore_git } from './ignore/gitignore';
export { default as npmignore, tpl_ignore_npm } from './ignore/npmignore';
export { default as prettierignore, tpl_ignore_prettier } from './ignore/prettierignore';
export { default as jest, tpl_jest } from './jest';
export { default as omni, tpl_omni } from './omni';
export { default as pkj, tpl_package } from './package';
export { default as prettier, tpl_prettier } from './prettier';
export { default as readme, tpl_readme } from './readme';
export { default as readme_cn, tpl_readme_cn } from './readme/index.zh-CN';
export { default as readme_dev, tpl_readme_dev } from './readme/dev';
export { default as readme_dev_cn, tpl_readme_dev_cn } from './readme/dev.zh-CN';
export { default as tsconfig, tpl_tsconfig } from './tsconfig';
export { default as vscode, tpl_vscode_setting } from './vsc';
export { default as stylelint, tpl_stylelint } from './stylelint';
export { default as source_index, tpl_src_index } from './source/index';
export { default as source_classnames, tpl_src_classnames } from './source/classnames';
export { default as source_d_global, tpl_src_d_global } from './source/d-global';
export { default as source_d_shim_tsx, tpl_src_d_shim_tsx } from './source/d-shim-tsx';
export { default as source_stories, tpl_src_stories } from './source/stories';
export { default as public_github_svg, tpl_public_github_svg } from './public/github-svg';
export { default as storybook_preview, tpl_storybook_preview } from './storybook/preview';
export { default as storybook_main, tpl_storybook_main } from './storybook/main';
export { default as storybook_manager, tpl_storybook_manager } from './storybook/manager';
export { default as storybook_theme, tpl_storybook_theme } from './storybook/theme';
export { default as component_sfc, tpl_new_component_sfc } from './new/sfc';
export { default as component_h, tpl_new_component_h } from './new/h';
export { default as component_index, tpl_new_index } from './new/index';
export { default as component_readme, tpl_new_readme } from './new/readme';
export { default as component_style, tpl_new_style } from './new/style';
export { default as component_stylesheet, tpl_new_stylesheet } from './new/stylesheet';
export { default as component_test, tpl_new_test } from './new/test';
export { default as component_stories, tpl_new_story } from './new/stories';
export { default as husky_commit_msg, tpl_husky_commit_msg } from './husky/commit-msg';
export { default as husky_pre_commit, tpl_husky_pre_commit } from './husky/pre-commit';
export { default as husky_pre_push, tpl_husky_pre_push } from './husky/pre-push';
export declare const tpls_init: {
    babel: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    commitlint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    editor: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    eslint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    gulpfile: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    eslintignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    gitignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    jest: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    npmignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    prettierignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    omni: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    pkj: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    prettier: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme_cn: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme_dev: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme_dev_cn: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    stylelint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    tsconfig: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    vscode: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_index: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_classnames: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_d_global: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_d_shim_tsx: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_stories: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    public_github_svg: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    storybook_preview: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    storybook_main: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    storybook_manager: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    storybook_theme: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_commit_msg: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_pre_commit: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_pre_push: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
};
export declare const tpls_origin_init: {
    tpl_babel: {
        tpl: string;
    };
    tpl_commitlint: {
        tpl: string;
    };
    tpl_editor: {
        tpl: string;
    };
    tpl_eslint: {
        tpl: string;
        extends_typescript: string;
        extends_prettier: string;
        parser_typescript: string;
        plugins_typescript: string;
        plugins_prettier: string;
        rules_typescript: string;
        rules_typescript_false: string;
        rules_prettier: string;
    };
    tpl_gulpfile: {
        tpl: string;
    };
    tpl_ignore_eslint: {
        tpl: string;
    };
    tpl_ignore_git: {
        tpl: string;
    };
    tpl_ignore_npm: {
        tpl: string;
    };
    tpl_ignore_prettier: {
        tpl: string;
    };
    tpl_jest: {
        tpl: string;
    };
    tpl_omni: {
        tpl: string;
    };
    tpl_package: {
        tpl: string;
        script_test: string;
        script_commitlint: string;
        script_prepare: string;
        script_lint: string;
        script_lint_es: string;
        script_lint_prettier: string;
        script_lint_style: string;
        commitlint: string;
    };
    tpl_prettier: {
        tpl: string;
    };
    tpl_readme: {
        tpl: string;
    };
    tpl_readme_dev: {
        tpl: string;
    };
    tpl_readme_cn: {
        tpl: string;
    };
    tpl_readme_dev_cn: {
        tpl: string;
    };
    tpl_src_d_global: {
        tpl: string;
    };
    tpl_src_d_shim_tsx: {
        tpl: string;
    };
    tpl_src_classnames: {
        tpl: string;
    };
    tpl_src_index: {
        tpl: string;
    };
    tpl_src_stories: {
        tpl: string;
    };
    tpl_public_github_svg: {
        tpl: string;
    };
    tpl_storybook_preview: {
        tpl: string;
    };
    tpl_storybook_main: {
        tpl: string;
    };
    tpl_storybook_manager: {
        tpl: string;
    };
    tpl_storybook_theme: {
        tpl: string;
    };
    tpl_stylelint: {
        tpl: string;
        extends_scss: string;
        extends_less: string;
        plugins_scss: string;
        plugins_less: string;
        rules_scss: string;
    };
    tpl_tsconfig: {
        tpl: string;
    };
    tpl_vscode_setting: {
        tpl: string;
    };
    tpl_husky_commit_msg: {
        tpl: string;
    };
    tpl_husky_pre_commit: {
        tpl: string;
    };
    tpl_husky_pre_push: {
        tpl: string;
    };
};
export declare type TPLS_INITIAL = {
    [T in keyof typeof tpls_init]: typeof tpls_init[T];
};
export declare type TPLS_ORIGIN_INITIAL = {
    [T in keyof typeof tpls_origin_init]: typeof tpls_origin_init[T];
};
export declare type TPLS_INITIAL_FN = TPLS_INITIAL[keyof TPLS_INITIAL];
export declare type TPLS_INITIAL_RETURE = Partial<TPLS_INITIAL>;
export declare const tpls_new: {
    component_h: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_sfc: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_index: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_readme: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_style: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_stylesheet: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_test: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_stories: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
};
export declare const tpls_origin_new: {
    tpl_new_component_h: {
        tpl: string;
    };
    tpl_new_component_sfc: {
        tpl: string;
    };
    tpl_new_index: {
        tpl: string;
    };
    tpl_new_readme: {
        tpl: string;
    };
    tpl_new_story: {
        tpl: string;
    };
    tpl_new_style: {
        tpl: string;
    };
    tpl_new_stylesheet: {
        tpl: string;
    };
    tpl_new_test: {
        tpl: string;
    };
};
export declare type TPLS_NEW = {
    [T in keyof typeof tpls_new]: typeof tpls_new[T];
};
export declare type TPLS_ORIGIN_NEW = {
    [T in keyof typeof tpls_origin_new]: typeof tpls_origin_new[T];
};
export declare type TPLS_NEW_FN = TPLS_NEW[keyof TPLS_NEW];
export declare type TPLS_NEW_RETURE = Partial<TPLS_NEW>;
declare const _default: {
    component_h: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_sfc: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_index: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_readme: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_style: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_stylesheet: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_test: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    component_stories: (envs: import("@omni-door/utils/lib/tplEngine").ENV_NEW) => string;
    babel: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    commitlint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    editor: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    eslint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    gulpfile: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    eslintignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    gitignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    jest: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    npmignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    prettierignore: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    omni: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    pkj: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    prettier: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme_cn: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme_dev: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    readme_dev_cn: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    stylelint: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    tsconfig: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    vscode: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_index: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_classnames: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_d_global: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_d_shim_tsx: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    source_stories: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    public_github_svg: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    storybook_preview: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    storybook_main: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    storybook_manager: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    storybook_theme: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_commit_msg: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_pre_commit: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
    husky_pre_push: (envs: import("@omni-door/utils/lib/tplEngine").ENV_INIT) => string;
};
export default _default;
