"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_package = void 0;
var utils_1 = require("@omni-door/utils");
var script_test_1 = __importDefault(require("./script_test"));
var script_commitlint_1 = __importDefault(require("./script_commitlint"));
var script_prepare_1 = __importDefault(require("./script_prepare"));
var script_lint_1 = __importDefault(require("./script_lint"));
var script_lint_es_1 = __importDefault(require("./script_lint_es"));
var script_lint_prettier_1 = __importDefault(require("./script_lint_prettier"));
var script_lint_style_1 = __importDefault(require("./script_lint_style"));
var commitlint_1 = __importDefault(require("./commitlint"));
var tpl = "`{\n  \"name\": \"${project_name.toLowerCase()}\",\n  \"version\": \"0.0.1\",\n  \"description\": \"\",\n  \"main\": \"lib/index.js\",\n  \"module\": \"es/index.js\",\n  \"typings\": \"lib/index.d.ts\",\n  \"scripts\": {\n    \"start\": \"omni dev\",\n    \"dev\": \"omni dev\",\n    ${alter('test', 'script_test')}\n    ${include('script_lint')}\n    ${alter('eslint', 'script_lint_es')}\n    ${alter('prettier', 'script_lint_prettier')}\n    ${alter('stylelint', 'script_lint_style')}\n    ${alter('commitlint', 'script_commitlint')}\n    ${alter('commitlint', 'script_prepare')}\n    \"new\": \"omni new\",\n    \"build\": \"omni build\",\n    \"build:demo\": \"build-storybook -c .storybook -o dist-story\",\n    \"release\": \"omni release\"\n  },\n  \"keywords\": [],\n  \"author\": \"\",\n  \"peerDependencies\": {\n    \"vue\": \"3.4.x\"\n  },\n  ${!install ? dependencies : \"\"}\n  ${!install ? devDependencies : \"\"}\n  \"license\": \"ISC\"\n}\n`";
exports.tpl_package = {
    tpl: tpl,
    script_test: script_test_1.default,
    script_commitlint: script_commitlint_1.default,
    script_prepare: script_prepare_1.default,
    script_lint: script_lint_1.default,
    script_lint_es: script_lint_es_1.default,
    script_lint_prettier: script_lint_prettier_1.default,
    script_lint_style: script_lint_style_1.default,
    commitlint: commitlint_1.default
};
exports.default = utils_1.tplEngineInit(exports.tpl_package, "tpl", {
    script_eslint: 'npm run lint:es',
    script_stylelint: 'npm run lint:style',
    script_prettier: 'npm run lint:prettier',
    script_eslint_fix: 'npm run lint:es_fix',
    script_stylelint_fix: 'npm run lint:style_fix',
    script_prettier_fix: 'npm run lint:prettier_fix'
});
