"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_storybook_main = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import path from 'path';\nimport vuePlugin from '@vitejs/plugin-vue';\nimport jsxPlugin from '@vitejs/plugin-vue-jsx';\n\nimport type { StorybookConfig } from '@storybook/vue3-vite';\n\nconst config: StorybookConfig = {\n  stories: [\n    \"../src/**/*.mdx\",\n    \"../src/**/*.stories.@(js|jsx|mjs|ts|tsx)\"\n  ],\n  addons: [\n    \"@storybook/addon-console\",\n    \"@storybook/addon-onboarding\",\n    \"@storybook/addon-knobs\",\n    \"@storybook/addon-links\",\n    \"@storybook/addon-essentials\",\n    \"@chromatic-com/storybook\",\n    \"@storybook/addon-interactions\"\n  ],\n  framework: {\n    \"name\": \"@storybook/vue3-vite\",\n    \"options\": {}\n  },\n  docs: {\n    defaultName: \"Overview\",\n  },\n  staticDirs: ['../public'],\n  managerHead: (head) => \\`\n    \\${head}\n    <script>\n      var title = '@1money/react-ui';\n      document.title = title;\n      var observer = new MutationObserver(function(mutations) {\n        if (document.title.match(/Storybook$/) && title !== document.title) {\n          document.title = title;\n        }\n      }).observe(document.querySelector('title'), {\n        childList: true,\n        subtree: true,\n        characterData: true\n      });\n    </script>\n  \\`,\n  viteFinal: config => {\n    if (!config.resolve) config.resolve = {};\n    config.resolve.alias = {\n      ...config.resolve?.alias,\n      '@': path.resolve(__dirname, '../src')\n    };\n    config.plugins?.push(vuePlugin(), jsxPlugin());\n    return config;\n  }\n};\nexport default config;\n`";
exports.tpl_storybook_main = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_storybook_main, 'tpl');
